# Created by pyp2rpm-3.3.5
%global pypi_name uri-template
%global uname uri_template

Name:           python-%{pypi_name}
Version:        1.2.0
Release:        %mkrel 1
Summary:        RFC 6570 URI Template Processor
Group:          Development/Python
License:        None
URL:            https://github.com/plinss/uri_template/
Source0:        https://files.pythonhosted.org/packages/source/u/%{pypi_name}/uri_template-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)

%description
An implementation of RFC 6570 URI Templates. This packages
implements URI Template expansion in strict adherence to RFC 6570, but adds a
few extensions.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
An implementation of RFC 6570 URI Templates. This packages
implements URI Template expansion in strict adherence to RFC 6570, but adds a
few extensions.


%prep
%autosetup -n uri_template-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{uname}


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Tue Nov 29 2022 papoteur <papoteur> 1.2.0-1.mga9
+ Revision: 1912579
- imported package python-uri-template

